#
# MASTER
#
M_CC				:= g++
M_CDC				:= gcc
M_LINK			:= g++
M_INCLUDES 		:= -I$(TESSY_SYS) -I$(TESSY_SYS)\include\tessy -I$(TESSY_SYS)\include\tessy\comm
M_OBJECTS  		:= $(TESSY_SYS)\obj\comm\tslowm_taskingvx.o \
                  $(TESSY_SYS)\obj\comm\tslowm_builtin.o \
						$(TESSY_SYS)\obj\comm\tstcomm_taskingvx.o \
						$(TESSY_SYS)\obj\comm\tscomlm.o \
 						$(TESSY_SYS)\obj\driver\ts_master.o \
 						$(TESSY_SYS)\obj\comm\ts_compiler.o \
						$(MODULE_PATH)\m_check_driver_init.o \
						$(MODULE_PATH)\m_check_driver_layers.o \
						$(MODULE_PATH)\m_check_driver_layer_one.o \
						$(MODULE_PATH)\m_check_driver_layer_two.o \
						$(MODULE_PATH)\m_check_driver_layer_three.o

M_LIBRARIES		:= -L$(TESSY_SYS)\..\bin -L$(TESSY_SYS)\lib -ltdb-mingw -lidb-mingw -lite-mingw -lasapmgr-mingw -lxml-mingw -lz-mingw -lrazorcat-mingw -luser32 -lws2_32
M_COMP_OPTIONS	:= -c -g -DTS_TASKING_VX -DTS_MASTER -D$(TS_NAME) -DTS_BUFFER_SIZE=$(BUFFER_SIZE)
M_CHECK_L_DEFS := -DTS_BUFFER_SIZE=$(BUFFER_SIZE)
M_LINK_OPTIONS	:= -g


#
# COMPILE DRIVER LAYERS TEST FILES
#
$(MODULE_PATH)\m_check_driver_link.o: $(TESSY_SYS_DOS)\src\comm\check_driver_link.c
	$(M_CDC) $(M_INCLUDES) $(CYG_INCLUDES) $(M_CHECK_L_DEFS) $(M_COMP_OPTIONS) $< -o $@

$(MODULE_PATH)\m_check_driver_init.o: $(TESSY_SYS_DOS)\src\comm\check_driver_init.c $(TESSY_SYS_DOS)\include\Tessy\comm\check_driver_data.h $(TESSY_SYS_DOS)\include\Tessy\comm\check_driver_layers.h
	$(M_CDC) $(M_INCLUDES) $(CYG_INCLUDES) $(M_CHECK_L_DEFS) $(M_COMP_OPTIONS) $(TESSY_SYS_DOS)\src\comm\check_driver_init.c -o $@

$(MODULE_PATH)\m_check_driver_layers.o: $(TESSY_SYS_DOS)\src\comm\check_driver_layers.c $(TESSY_SYS_DOS)\include\Tessy\comm\check_driver_data.h $(TESSY_SYS_DOS)\include\Tessy\comm\check_driver_layers.h
	$(M_CDC) $(M_INCLUDES) $(CYG_INCLUDES) $(M_CHECK_L_DEFS) $(M_COMP_OPTIONS) $(TESSY_SYS_DOS)\src\comm\check_driver_layers.c -o $@

$(MODULE_PATH)\m_check_driver_layer_one.o: $(TESSY_SYS_DOS)\src\comm\check_driver_layer_one.c $(TESSY_SYS_DOS)\include\Tessy\comm\check_driver_data.h $(TESSY_SYS_DOS)\include\Tessy\comm\check_driver_layers.h
	$(M_CDC) $(M_INCLUDES) $(CYG_INCLUDES) $(M_CHECK_L_DEFS) $(M_COMP_OPTIONS) $(TESSY_SYS_DOS)\src\comm\check_driver_layer_one.c -o $@

$(MODULE_PATH)\m_check_driver_layer_two.o: $(TESSY_SYS_DOS)\src\comm\check_driver_layer_two.c $(TESSY_SYS_DOS)\include\Tessy\comm\check_driver_data.h $(TESSY_SYS_DOS)\include\Tessy\comm\check_driver_layers.h
	$(M_CDC) $(M_INCLUDES) $(CYG_INCLUDES) $(M_CHECK_L_DEFS) $(M_COMP_OPTIONS) $(TESSY_SYS_DOS)\src\comm\check_driver_layer_two.c -o $@

$(MODULE_PATH)\m_check_driver_layer_three.o: $(TESSY_SYS_DOS)\src\comm\check_driver_layer_three.c $(TESSY_SYS_DOS)\include\Tessy\comm\check_driver_data.h $(TESSY_SYS_DOS)\include\Tessy\comm\check_driver_layers.h
	$(M_CDC) $(M_INCLUDES) $(CYG_INCLUDES) $(M_CHECK_L_DEFS) $(M_COMP_OPTIONS) $(TESSY_SYS_DOS)\src\comm\check_driver_layer_three.c -o $@

#
# COMPILE/LINK MASTER
#
$(MODULE_PATH)\ts_$(TESTOBJECT)_m.o : $(MODULE_PATH)\ts_$(TESTOBJECT)_m.cpp
	@echo *
	@echo ***** Compiling Master *****
	$(M_CC) $(M_INCLUDES) $(M_COMP_OPTIONS) $< -o $@

$(MODULE_PATH)\ts_$(TESTOBJECT)_m.exe : $(MODULE_PATH)\ts_$(TESTOBJECT)_m.o $(M_OBJECTS)
	@echo *
	@echo ***** Linking Master *****
	$(M_LINK) -o $@ $< $(M_LINK_OPTIONS) $(M_CHECK_DRIVER) $(M_OBJECTS) $(M_LIBRARIES)
	@rm -f "$(MODULE_PATH)"/*.o
